from django.db import models
from django.urls import reverse

class Author(models.Model):
    first_name = models.CharField(max_length=255)
    last_name = models.CharField(max_length=255)
    age = models.PositiveIntegerField()
    nationality = models.CharField(max_length=255)
    bio = models.TextField(max_length=700)
    
    def __str__(self):
        return '{} {}'.format(self.first_name, self.last_name)

    def get_absolute_url(self):
        return reverse('bookshelf:author_details', kwargs={'pk': self.pk})


class Books(models.Model):
    title = models.CharField(max_length=255)
    author = models.ForeignKey(Author, on_delete=models.CASCADE, related_name='books_published')
    publisher = models.CharField(max_length=255)
    year_published = models.PositiveIntegerField()
    ISBN = models.PositiveBigIntegerField()
    blurb = models.TextField(max_length=700)

    def __str__(self):
        return '{}'.format(self.title)

    def get_absolute_url(self):
        return reverse('bookshelf:book_details', kwargs={'pk': self.pk})