from django.urls import path

from .views import home_view, BooksDetailView, BooksListView, AuthorDetailView, AuthorListView

urlpatterns = [
    path('home/', home_view, name='home_view'),
    path('books/', BooksListView.as_view(), name='books_list'),
    path('books/<int:pk>/details/', BooksDetailView.as_view(), name='book_details'),
    path('authors/', AuthorListView.as_view(), name='author_list'),
    path('authors/<int:pk>/details/', AuthorDetailView.as_view(), name='author_details'),
]

app_name = 'bookshelf'